--[[
		Define the data used to fill the boxes.
		LoadRawList creates a list of gambits that are level - from the UI - and size appropriate - as defined by the user using the slash command.
		ResetGambitList copies the Raw list to the working copy ready to be changed as the player presses keys.
]]--

--Icons hacked from the game.
SpearIcon="Spear.tga"
ShieldIcon="Shield.tga"
ShoutIcon="Shout.tga"
GambitIcon="Gambit.tga"
BlankIcon="Blank.tga"
icons={SpearIcon,ShieldIcon,ShoutIcon,GambitIcon,BlankIcon}

Player = Turbine.Gameplay.LocalPlayer.GetInstance();

Level = Player:GetLevel();

--Data file containing the info for all the gambits. 
--A lot of this I don't use, but I program here just in case someone wants to use it. All taken from http://forums.lotro.com/showthread.php?451496-Asto-s-Gambit-Compendium-Warning-Comprehensive			

Data={													
{	"HOT",	6,	"216"	,"Persevere",	"Persevere.tga",	"MH Dmg + T1 HoT + T1 Block Buff & Part. Block Chance for 30s",	HoT=true,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"HOT",	24,	"2127"	,"Safeguard",	"Safeguard.tga",	"Cmn Dmg + T2 HoT + T2 Block Buff & Part. Block Chance for 20s; Persevere line",	HoT=true,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"HOT",	40,	"21218"	,"Celebration of Skill",	"CelebrationofSkill.tga",	"MH Dmg + T3 HoT + T3 Block Buff & Part. Block Chance for 10s; Persevere line",	HoT=true,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"HOT",	54,	"232329"	,"Conviction",	"Conviction.tga",	"Fellowship HoT + 1T Threat Transfer from Fellowship",	HoT=true,	ToT=false,	Threat=false,	TT=true,	BEP=false,	Targets=false	},
{	"HOT",	74,	"21212:"	,"Restoration",	"Restoration.tga",	"MH Dmg + T4 HoT",	HoT=true,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
													
													
{	"TT",	16,	"232;"	,"Maddening Strike",	"MaddeningStrike.tga",	"MH Dmg + T2 Crit Def & Phys/Tact Mit for 20s + 0.5T Threat Transfer from Fellowship; Impressive Flourish line",	HoT=false,	ToT=false,	Threat=false,	TT=true,	BEP=true,	Targets=false	},
{	"TT",	42,	"2323<"	,"Dance of War",	"DanceofWar.tga",	"Lg Evade Buff + T3 Crit Def & Phys/Tact Mit + 1T Threat Transfer from Fellowship; Impressive Flourish line",	HoT=false,	ToT=false,	Threat=false,	TT=true,	BEP=true,	Targets=false	},
{	"TT",	62,	"3213="	,"Aggression",	"Aggression.tga",	"MH Dmg + 1T Threat Transfer from Fellowship",	HoT=false,	ToT=false,	Threat=false,	TT=true,	BEP=false,	Targets=false	},
													
													
{	"TI",	4,	"33>"	,"Goad",	"Goad.tga",	"AoE Light Dmg + Light DoT + 0.5T Threat + Potency; 3 Targets",	HoT=false,	ToT=false,	Threat=true,	TT=false,	BEP=false,	Targets=3	},
{	"TI",	10,	"13?"	,"Offensive Strike",	"OffensiveStrike.tga",	"MH Dmg x2 + 2T Threat",	HoT=false,	ToT=false,	Threat=true,	TT=false,	BEP=false,	Targets=false	},
{	"TI",	12,	"31@"	,"Precise Blow",	"PreciseBlow.tga",	"MH Dmg + 2T Threat + 0.5T ToT",	HoT=false,	ToT=true,	Threat=true,	TT=false,	BEP=false,	Targets=false	},
{	"TI",	13,	"32A"	,"War Cry",	"WarCry.tga",	"AoE Light Dmg + Light DoT + T1 Evade Buff + T1 HoT + 2T Threat; 10 Target",	HoT=true,	ToT=false,	Threat=true,	TT=false,	BEP=true,	Targets=X	},
{	"TI",	22,	"323B"	,"Brink of Victory",	"BrinkofVictory.tga",	"Light Dmg + Light DoT + 1T Threat",	HoT=false,	ToT=false,	Threat=true,	TT=false,	BEP=false,	Targets=false	},
{	"TI",	30,	"313C"	,"Piercing Strike",	"PiercingStrike.tga",	"MH Dmg + Light Dmg + 1T Threat",	HoT=false,	ToT=false,	Threat=true,	TT=false,	BEP=false,	Targets=false	},
{	"TI",	43,	"3131D"	,"Spear of Virtue",	"SpearofVirtue.tga",	"MH Dmg + Light Dmg + 3T Threat",	HoT=false,	ToT=false,	Threat=true,	TT=false,	BEP=false,	Targets=false	},
{	"TI",	48,	"3232E"	,"Surety of Death",	"SuretyofDeath.tga",	"MH Dmg + Light Dmg + Light DoT + T2 Evade Buff + 3T Threat; War Cry line",	HoT=false,	ToT=false,	Threat=true,	TT=false,	BEP=true,	Targets=false	},
{	"TI",	50,	"231F"	,"Deflection",	"Deflection.tga",	"Cmn Dmg + 3T Threat Decrease",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
													
													
{	"AVOID",	2,	"22G"	,"Defensive Strike",	"DefensiveStrike.tga",	"MH Dmg + Potency + T1 Block Buff 20s",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=true,	Targets=false	},
{	"AVOID",	8,	"23H"	,"Impressive Flourish",	"ImpressiveFlourish.tga",	"Light Dmg + Light DoT + T1 Crit Def & Tac/Phys Mit for 30s",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=true,	Targets=false	},
{	"AVOID",	20,	"213I"	,"Shield Up",	"ShieldUp.tga",	"XL Block/Evade/Ranged Block Buff for 30s",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=true,	Targets=false	},
{	"AVOID",	34,	"2132J"	,"Shield Mastery",	"ShieldMastery.tga",	"XL Block/Evade/Ranged Block Buff for 60s",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=true,	Targets=false	},
{	"AVOID",	68,	"2313K"	,"Shield Tactics",	"ShieldTactics.tga",	"Tact Mit 60s + Stun Immunity 10s",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
													
													
{	"DOT",	1,	"11L"	,"Deft Strike",	"DeftStrike.tga",	"MH Dmg + Potency",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	3,	"12M"	,"The Boot",	"TheBoot.tga",	"Cmn Dmg + Interrupt + 25% Daze Chance",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	18,	"123N"	,"Power Attack",	"PowerAttack.tga",	"MH Dmg + Hard to Block",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	28,	"131O"	,"Combination Strike",	"CombinationStrike.tga",	"MH Dmg x2",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	32,	"121P"	,"Onslaught",	"Onslaught.tga",	"MH Dmg x3 + Interrupt",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	36,	"1212Q"	,"Wall of Steel",	"WallofSteel.tga",	"MH Dmg x3 + XL Parry Buff + Interrupt",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=true,	Targets=false	},
{	"DOT",	38,	"1231R"	,"Mighty Blow",	"MightyBlow.tga",	"MH Dmg + Hard to Parry/Evade",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	44,	"1313S"	,"Boar's Rush",	"Boar'sRush.tga",	"Cmn Dmg + Increased Crit Chance + 25% Fear Chance",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	50,	"12312T"	,"Unerring Strike",	"UnerringStrike.tga",	"MH Dmg + Cmn DoT",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	52,	"132U"	,"Reversal",	"Reversal.tga",	"MH Dmg + Remove 1 Corruption",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	56,	"32323V"	,"Desolation",	"Desolation.tga",	"AoE Light Dmg + Light DoT + 25% Fear Chance; 3 targets",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=3	},
{	"DOT",	58,	"1321W"	,"Adroit Manoeuvre",	"AdroitManoeuvre.tga",	"MH Dmg + 20% Attack Speed Buff for 20s",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	64,	"12131X"	,"The Dark Before Dawn",	"TheDarkBeforeDawn.tga",	"MH Dmg x2 + Power + PoT",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
{	"DOT",	70,	"13213Y"	,"Warden's Triumph",	"Warden'sTriumph.tga",	"MH Dmg + 10% Melee Buff for 20s",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=false	},
													
													
{	"MD",	26,	"312Z"	,"Fierce Resolve",	"FierceResolve.tga",	"AoE T1 Morale Drain over Time (Light Dmg); 10 Targets; stack up to 10",	HoT=true,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=X	},
{	"MD",	60,	"31232["	,"Exultation of Battle",	"ExultationofBattle.tga",	"AoE T2 Morale Drain Over Time(Light Dmg); 2T ToT; 10 Targets; stack up to 10",	HoT=true,	ToT=true,	Threat=false,	TT=false,	BEP=false,	Targets=X	},
{	"MD",	72,	"3123\\"	,"Resolution",	"Resolution.tga",	"AoE Morale Drain (Light Dmg); 10 Targets",	HoT=false,	ToT=false,	Threat=false,	TT=false,	BEP=false,	Targets=X	}}


--Categories
Cata={
HOT="Heal Over Time",
TOT="Threat Over Time",
TI="Threat Increase",
TT="Threat Transfer",
AVOID="Avoidance",
DOT="Damage Over Time/DPS",
MD="Morale Drain"}

--Main resource directory location
ResourceDir="JackdawPlugins/WardenIndicator/Resources/"

function LoadRawList()
	--Create the Raw data file, ready to copy later.
	RawGambitList={HOTs={},TOTs={},TTs={},TIs={},Avoids={}, DOTs={},MDs={}}
	local count=0
	for i,k in pairs(Data) do
		if Level>=k[2] then
			if string.len(k[3])>WardenData.minsize then
				count = count +1
				if k[1]=="HOT" then table.insert (RawGambitList.HOTs,k[3]) end
				if k[1]=="TOT" then table.insert (RawGambitList.TOTs,k[3]) end
				if k[1]=="TT" then table.insert (RawGambitList.TTs,k[3]) end
				if k[1]=="TI" then table.insert (RawGambitList.TIs,k[3]) end
				if k[1]=="AVOID" then table.insert (RawGambitList.Avoids,k[3]) end
				if k[1]=="DOT" then table.insert (RawGambitList.DOTs,k[3]) end
				if k[1]=="MD" then table.insert (RawGambitList.MDs,k[3]) end
				
				--[[Testing module
				IconStyle=ResourceDir..IconSize.."/sk_warden_"..k[5]
				Turbine.Shell.WriteLine(IconStyle)
				tester=NewWindow{x=0,y=0,width=20,height=20,colour=Turbine.UI.Color( 0.1, 0, 0,0)}
				tester:SetBackground (IconStyle)]]--
			end
		end
	end
	Turbine.Shell.WriteLine("   List of "..count.." gambits loaded.")
end
	
function ResetGambits()

	GambitList=deepcopy(RawGambitList)

end

--Set wether a gambit is show, or not.
function defaultshow()
	WardenData.showgambit={}
	for i=1,#Data do
		WardenData.showgambit[i]=true
	end
end
