import "Turbine"
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay";
import "JackdawPlugins.WardenIndicator.Function"
import "JackdawPlugins.WardenIndicator.Data"
import "JackdawPlugins.WardenIndicator.Options"

import "Deusdictum.UI.Dragbar" -- I *love* this plugin!

--Load the save game patch, if available.
if not pcall(function() import "JackdawPlugins.Patch.Patch" end) then 
	--Turbine.Shell.WriteLine("Patch not present - default Load and Save used")
	JackdawPlugins.Patch={}
	function JackdawPlugins.Patch.Load(a,b,c) return Turbine.PluginData.Load(a,b,c) end
	function JackdawPlugins.Patch.Save(a,b,c,d) Turbine.PluginData.Save(a,b,c,d) end
end

Player = Turbine.Gameplay.LocalPlayer.GetInstance()

-- Get the Player class and race
PlayerClass = Player:GetClass();
-- Quit if the class is not a Warden
if(PlayerClass ~= Turbine.Gameplay.Class.Warden) then
	Turbine.Shell.WriteLine("WardenIndicator will only work for Wardens. Quitting.");
	return;
end

PlayerAttributes=Player:GetClassAttributes()

--Concept; After pressing the initial gambit key, an indicator pops up with suggestions under each major category of gambit skill.

--Many thanks to DeusDictum and to Asto, who created the post-U6 gambit compendium at http://forums.lotro.com/showthread.php?451496-Asto-s-Gambit-Compendium-Warning-Comprehensive

--[[Unavoidable Issues; 
		Shows Gambits I do not know, but am the right level for.

	NOTE:
		We have a window, with a listbox. This listbox contains the labels and then sub-listboxes to hold the gambits. The reason there is not just one big listbox is that otherwise the text width messes up.
	]]--

--Load data
WardenData=JackdawPlugins.Patch.Load( Turbine.DataScope.Character, "WardenIndicator" );
if WardenData==nil then
	-- Set default position so I am not stomping on BuffBars. This is just my personal preferred position.
	local displayWidth, displayHeight = Turbine.UI.Display.GetSize();
	local offsetx = 210;
	local offsety = 185;
	local defaultx = displayWidth/2 + offsetx;
	local defaulty = displayHeight/2 + offsety;

	WardenData={x=defaultx,y=defaulty,minsize=2,reverse=true,IconSize=32,showOOC=false,maxheight=800,fix=false,click=false,indi=false}
end

Turbine.Shell.WriteLine("WardenIndicator 48.0 by MrJackdaw, maintained by Dwamur.")
Turbine.Shell.WriteLine("   Type /WI for options.")

--If the table for which gambits to show does not exist, then set it to the defaults - all shown.
if WardenData.showgambit==nil then defaultshow() end
if WardenData.maxheight==nil then WardenData.maxheight=800 end

height=WardenData.maxheight/2 --Default Height is half of the maximum height - seems sensible.

IconSize=WardenData.IconSize

--Reset the gambit table.
LoadRawList()
ResetGambits()

--Create all the frames and lets go!
CreateFrames()

